<?
define('_CONSTANT_', 1);

require_once '../../../core/start.php';

checkAuth();

head('Задание | Разговор', 'Задание | Разговор');

require_once '../../../class/fight/Attack.php';
$Attack = new Attack();

if (!empty($user['task_id']) && $user['task_id'] != 3) 
{
    errorNoExit('Вы не можете взять это задание так как уже выполняете другое.', '/game/');
} 
else 
{
    if ($user['history'] != 2) 
    {
        error('Вам не доступно это задание', '/game/index.php');
    } 
    else 
    {
        if (empty($user['task_start'])) 
        {
            ?> 
            <div class="content">
                Вижу ты хорошо справляешься. Надо будет подыскать для тебя задание серьезнее. Вот тебе немного золота. Потрать его с умом.
            </div> 
            <a href="?take" class="link-touch">Взять задание</a>
            <?php

            if (isset($_GET['take'])) 
            {
                DB::$dbs->query("UPDATE ". USERS ." SET `task_start` = ?, `task_id` = ? WHERE `id` = ? LIMIT 1", [1, 3, $user['id']]);

                header("Location: ?");
                exit();
            }
        } 
        else 
        {
            if ($user['task_start'] == 1) 
            {
                DB::$dbs->query("UPDATE ". USERS ." SET `task_start` = ?, `task_id` = ?, `money` = ?, `exp` = ?, `history` = ? WHERE `id` = ?", [0, 0, ($user['money'] + 300), ($user['exp'] + 200), 3, $user['id']]);
                $journal = 'Вы прошли задание "Разговор". В награду вы получили '. ico('gold.png') .'300, '. ico('exp.png') .'200. Теперь вам доступна новая глава.';
                $User->addUserJournal($journal, $user['id']);
                $Attack->clearLog($user['id']);
                success($journal, '/game/index.php');
            }
        }
    }
}

require_once '../../../core/foot.php';